Package org.eclipse.zest.layouts

# Interface LayoutGraph

@Deprecated(since="2.0", forRemoval=true) public interface LayoutGraph
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This interface will be removed in a future release.
The LayoutGraph interface defines the methods used to add nodes and edges (relationships).

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntity(LayoutEntity node)`
Deprecated.
`void`
`addRelationship(LayoutRelationship relationship)`
Deprecated.
`List`
`getEntities()`
Deprecated.
`List`
`getRelationships()`
Deprecated.
`boolean`
`isBidirectional()`
Deprecated.

## Method Details

### addEntity

@Deprecated void addEntity(LayoutEntity node)
Deprecated.
Adds a node to this graph.

Parameters:
  `node` - The new node.

### addRelationship

@Deprecated void addRelationship(LayoutRelationship relationship)
Deprecated.
Adds the given relationship.

Parameters:
  `relationship` -

### getEntities

@Deprecated List getEntities()
Deprecated.
Returns a list of LayoutEntity objects that represent the objects added to this graph using addNode.

Returns:
  List A List of LayoutEntity objects.

### getRelationships

@Deprecated List getRelationships()
Deprecated.
Returns a list of LayoutRelationship objects that represent the objects added to this graph using addRelationship.

Returns:
  List A List of LayoutRelationship objects.

### isBidirectional

@Deprecated boolean isBidirectional()
Deprecated.
Determines if the graph is bidirectional.

Returns:
  boolean If the graph is bidirectional.